﻿using System.Drawing;
using System.Windows.Forms;

using ScottPlot;
using ScottPlot.Plottable;

namespace TestProject
{
    /// <summary>
    /// 메인 폼
    /// </summary>
    public partial class MainForm : Form
    {
        //////////////////////////////////////////////////////////////////////////////////////////////////// Constructor
        ////////////////////////////////////////////////////////////////////////////////////////// Public

        #region 생성자 - MainForm()

        /// <summary>
        /// 생성자
        /// </summary>
        public MainForm()
        {
            InitializeComponent();

            Plot plot = new Plot(800, 600);

            double[] data = DataGen.RandomWalk(1000);

            plot.Style(Style.Gray1);

            SignalPlot signalPlot = plot.AddSignal(data);

            signalPlot.FillAboveAndBelow(Color.Green, Color.Transparent, Color.Transparent, Color.Red, 1);

            signalPlot.MarkerSize = 0;
            signalPlot.BaselineY = 5;
            signalPlot.Color      = Color.Black;

            plot.Margins(x : 0);

            this.formsPlot.Reset(plot);

            this.formsPlot.Refresh();
        }

        #endregion
    }
}